Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.search
Class ArrayPropertyValueFilterBeanInfo.FilterPropertyEditor

    java.lang.Object
      ru.biosoft.access.search.ArrayPropertyValueFilterBeanInfo.FilterPropertyEditor

All Implemented Interfaces:
  java.beans.PropertyEditor, com.beanexplorer.editors.PropertyEditorEx

Enclosing class:
  ArrayPropertyValueFilterBeanInfo

public static class ArrayPropertyValueFilterBeanInfo.FilterPropertyEditor
extends java.lang.Object
implements com.beanexplorer.editors.PropertyEditorEx

Field Summary
`protected java.beans.FeatureDescriptor` | `descriptor`

Constructor Summary
`ArrayPropertyValueFilterBeanInfo.FilterPropertyEditor()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.lang.String` | `getAsText()`
`java.lang.Object` | `getBean()`
`java.awt.Component` | `getCustomEditor()`
`java.awt.Component` | `getCustomEditor(java.awt.Component parent, boolean isSelected)`
`java.awt.Component` | `getCustomRenderer(java.awt.Component parent, boolean isSelected, boolean hasFocus)`
`java.beans.FeatureDescriptor` | `getDescriptor()`
`java.lang.String` | `getJavaInitializationString()`
`java.lang.String[]` | `getTags()`
`java.lang.Object` | `getValue()`
`boolean` | `isPaintable()`
`void` | `paintValue(java.awt.Graphics gfx, java.awt.Rectangle box)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a listener for the PropertyChange event.
`void` | `setAsText(java.lang.String text)`
`void` | `setBean(java.lang.Object bean)`
`void` | `setDescriptor(java.beans.FeatureDescriptor descriptor)`
`void` | `setValue(java.lang.Object value)`
`boolean` | `supportsCustomEditor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### descriptor

    protected java.beans.FeatureDescriptor descriptor

Constructor Detail

### ArrayPropertyValueFilterBeanInfo.FilterPropertyEditor

    public ArrayPropertyValueFilterBeanInfo.FilterPropertyEditor()

Method Detail

### getTags

    public java.lang.String[] getTags()

  Specified by:
    `getTags` in interface `java.beans.PropertyEditor`

### setAsText

    public void setAsText(java.lang.String text)

  Specified by:
    `setAsText` in interface `java.beans.PropertyEditor`

### getAsText

    public java.lang.String getAsText()

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`

### getJavaInitializationString

    public java.lang.String getJavaInitializationString()

  Specified by:
    `getJavaInitializationString` in interface `java.beans.PropertyEditor`

### paintValue

    public void paintValue(java.awt.Graphics gfx,
                           java.awt.Rectangle box)

  Specified by:
    `paintValue` in interface `java.beans.PropertyEditor`

### isPaintable

    public boolean isPaintable()

  Specified by:
    `isPaintable` in interface `java.beans.PropertyEditor`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `java.beans.PropertyEditor`

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Specified by:
    `supportsCustomEditor` in interface `java.beans.PropertyEditor`

### getCustomRenderer

    public java.awt.Component getCustomRenderer(java.awt.Component parent,
                                                boolean isSelected,
                                                boolean hasFocus)

  Specified by:
    `getCustomRenderer` in interface `com.beanexplorer.editors.PropertyEditorEx`

### getCustomEditor

    public java.awt.Component getCustomEditor(java.awt.Component parent,
                                              boolean isSelected)

  Specified by:
    `getCustomEditor` in interface `com.beanexplorer.editors.PropertyEditorEx`

### setBean

    public void setBean(java.lang.Object bean)

  Specified by:
    `setBean` in interface `com.beanexplorer.editors.PropertyEditorEx`

### getBean

    public java.lang.Object getBean()

  Specified by:
    `getBean` in interface `com.beanexplorer.editors.PropertyEditorEx`

### getDescriptor

    public java.beans.FeatureDescriptor getDescriptor()

  Specified by:
    `getDescriptor` in interface `com.beanexplorer.editors.PropertyEditorEx`

### setDescriptor

    public void setDescriptor(java.beans.FeatureDescriptor descriptor)

  Specified by:
    `setDescriptor` in interface `com.beanexplorer.editors.PropertyEditorEx`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `java.beans.PropertyEditor`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a listener for the PropertyChange event.

  Specified by:
    `removePropertyChangeListener` in interface `java.beans.PropertyEditor`
  Parameters:
    `listener` - The PropertyChange listener to be removed.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.